Get Credits Transactions
Authorization
bearerAuth AuthorizationBearer <token>
JWT token from authentication
In: header
Path Parameters
organization_id*string
Length
1 <= lengthQuery Parameters
limit?integer
Range
1 <= value <= 100Default
50offset?integer
Range
0 <= value <= 9007199254740991Default
0type?string
Value in
- "subscription"
- "purchase"
- "free_refill"
- "gift"
- "welcome_gift"
- "claim"
- "refunded_usage"
- "usage"
- "expiration"
- "opening_adjustment"
- "refunded_purchase"
- "refunded_subscription"
user_id?string
team_id?string
Response Body
application/json
curl -X GET "https://example.com/organizations/org_abc123/credits/transactions"{ "transactions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization_id": "string", "user_id": "string", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba", "type": "subscription", "amount": -2147483648, "remaining": -2147483648, "grant_id": "a3c1da8e-13c6-4cab-955b-2120b58c2982", "description": "string", "feature": "string", "generation_id": "a3c889df-e7ae-4ae9-9838-8884129ade5e", "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407", "asset_id": "b4695157-0d1d-4da0-8f9e-5c53149389e4", "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2", "tool_call_id": "string", "stripe_checkout_session_id": "string", "idempotency_key": "string", "stripe_invoice_id": "string", "expires_at": "2019-08-24T14:15:22Z", "effective_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "user": { "first_name": "string", "last_name": "string", "email": "string", "image_url": "string" }, "team": { "name": "string", "color": "string" } } ], "total": 0, "limit": 0, "offset": 0, "has_more_future": true}